Bug 855433 - GPG key does not associate to product
GPG key does not associate to product
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Marek Hulan
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 13:44 EDT by Og Maciel
Modified: 2014-01-27 09:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:09:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (32.81 KB, image/png)
2012-09-07 13:44 EDT, Og Maciel
no flags Details

  None (edit)
Description Og Maciel 2012-09-07 13:44:26 EDT
Created attachment 610822 [details]
Screenshot

Description of problem:

Creating a GPG key via the CLI does not associate it to the product. Instead, it seems to only associate to the repositories of a product.

Version-Release number of selected component (if applicable):

* candlepin-0.7.8.2-1.el6.noarch
* candlepin-selinux-0.7.8.2-1.el6.noarch
* candlepin-tomcat6-0.7.8.2-1.el6.noarch
* katello-1.1.9-1.git.148.307e03b.el6.noarch
* katello-all-1.1.9-1.git.148.307e03b.el6.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6.noarch
* katello-cli-1.1.5-1.git.143.b1b7163.el6.noarch
* katello-cli-common-1.1.5-1.git.143.b1b7163.el6.noarch
* katello-common-1.1.9-1.git.148.307e03b.el6.noarch
* katello-configure-1.1.7-1.git.119.b594042.el6.noarch
* katello-glue-candlepin-1.1.9-1.git.148.307e03b.el6.noarch
* katello-glue-foreman-1.1.9-1.git.148.307e03b.el6.noarch
* katello-glue-pulp-1.1.9-1.git.148.307e03b.el6.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-repos-1.1.2-1.el6.noarch
* katello-selinux-1.1.1-1.el6.noarch
* pulp-1.1.12-1.el6.noarch
* pulp-common-1.1.12-1.el6.noarch
* pulp-selinux-server-1.1.12-1.el6.noarch

How reproducible:


Steps to Reproduce:
  wget https://raw.github.com/gist/3667453/0046825fdeb4c75bb563e2434ccab4617054654b/dummy.gpg
  kk org create --name "AlphabetSoup"                                                                     
  kk environment create --name Cook --prior Library --org AlphabetSoup                                    
  kk environment create --name Taste --prior Cook --org AlphabetSoup                                      
  kk environment create --name Sell --prior Taste --org AlphabetSoup                                      
                                                                                                                    
  kk provider create --name Animals --org AlphabetSoup                                                    
  kk product create --name Zoo --provider Animals --org AlphabetSoup                                      
  kk gpg_key create --name Zoo --file dummy.gpg --org AlphabetSoup                                        
  kk repo create --name Zoo8 --url "http://mbacovsk.fedorapeople.org/Zoo8/" --product Zoo --org AlphabetS\
oup --gpgkey Zoo                                                                                                    
  kk repo create --name Zoo3 --url "http://mbacovsk.fedorapeople.org/Zoo3/" --product Zoo --org AlphabetS\
oup --gpgkey Zoo   

Actual results:

Looking at the GPG Key for the AlphabetSoup organization, the **Products and Repositories** pane does not display any information as to what products and repositories the key is associated with (see attached screenshot).

Expected results:


Additional info:

Using the web ui you can see that the GPG key is associated to a Repository.
Comment 1 Marek Hulan 2012-12-14 03:29:33 EST
Fixed in 71ad281aed3a70272c06345ead377d80a643a488 

(consists of two commits 1e2730529762890ca0eb2b01f3007d29fe3739fc and 94aa34f676be8e424922ce0446b26988638f56e4)
Comment 2 Mike McCune 2013-09-19 14:09:35 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.